Package org.flowable.engine.runtime

# Interface ExecutionQuery

All Superinterfaces:
  `Query<ExecutionQuery,Execution>`

public interface ExecutionQuery extends Query<ExecutionQuery,Execution>
Allows programmatic querying of `Execution`s.

Author:
  Joram Barrez, Frederik Heremans

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExecutionQuery`
  `activityId(String activityId)`
  Only select executions which contain an activity with the given id.
  `ExecutionQuery`
  `endOr()`
  End an OR statement.
  `ExecutionQuery`
  `excludeProcessDefinitionKeys(Set<String> processDefinitionKeys)`
  Only select executions which have process definitions that don't match with the given keys.
  `ExecutionQuery`
  `executionId(String executionId)`
  Only select executions with the given id.
  `ExecutionQuery`
  `executionReferenceId(String referenceId)`
  Only select executions with the given reference id.
  `ExecutionQuery`
  `executionReferenceType(String referenceType)`
  Only select executions with the given reference type.
  `ExecutionQuery`
  `executionTenantId(String tenantId)`
  Only select process instances that have the given tenant id.
  `ExecutionQuery`
  `executionTenantIdLike(String tenantIdLike)`
  Only select process instances with a tenant id like the given one.
  `ExecutionQuery`
  `executionTenantIdLikeIgnoreCase(String tenantIdLikeIgnoreCase)`
  Only select process instances with a tenant id like the given one, ignoring upper/lower case.
  `ExecutionQuery`
  `executionWithoutTenantId()`
  Only select process instances that do not have a tenant id.
  `ExecutionQuery`
  `locale(String locale)`
  Localize execution name and description to specified locale.
  `ExecutionQuery`
  `messageEventSubscriptionName(String messageName)`
  Only select executions which have a message event subscription for the given messageName.
  `ExecutionQuery`
  `onlyChildExecutions()`
  Only selects executions that have a parent id set, ie non-processinstance executions.
  `ExecutionQuery`
  `onlyProcessInstanceExecutions()`
  Only selects executions that have no parent id set, ie process instance executions
  `ExecutionQuery`
  `onlySubProcessExecutions()`
  Only selects executions that are a subprocess.
  `ExecutionQuery`
  `or()`
  Begin an OR statement.
  `ExecutionQuery`
  `orderByProcessDefinitionId()`
  Order by process definition id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `ExecutionQuery`
  `orderByProcessDefinitionKey()`
  Order by process definition key (needs to be followed by `Query.asc()` or `Query.desc()`).
  `ExecutionQuery`
  `orderByProcessInstanceId()`
  Order by id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `ExecutionQuery`
  `orderByTenantId()`
  Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `ExecutionQuery`
  `parentId(String parentId)`
  Only select executions which are a direct child-execution of the execution with the given id.
  `ExecutionQuery`
  `processDefinitionCategory(String processDefinitionCategory)`
  Only select executions which have the given process definition category.
  `ExecutionQuery`
  `processDefinitionCategoryLike(String processDefinitionCategoryLike)`
  Only select executions which have a process definition category like the given value.
  `ExecutionQuery`
  `processDefinitionCategoryLikeIgnoreCase(String processDefinitionCategoryLikeIgnoreCase)`
  Only select executions which have a process definition category like the given value, ignoring upper/lower case.
  `ExecutionQuery`
  `processDefinitionEngineVersion(String processDefinitionEngineVersion)`
  Only select executions which have the given process definition engine version.
  `ExecutionQuery`
  `processDefinitionId(String processDefinitionId)`
  Only select executions which have the given process definition id.
  `ExecutionQuery`
  `processDefinitionKey(String processDefinitionKey)`
  Only select executions which have the given process definition key.
  `ExecutionQuery`
  `processDefinitionKeyLike(String processDefinitionKeyLike)`
  Only select executions which have a process definition key like the given value.
  `ExecutionQuery`
  `processDefinitionKeyLikeIgnoreCase(String processDefinitionKeyLikeIgnoreCase)`
  Only select executions which have a process definition key like the given value, ignoring upper/lower case.
  `ExecutionQuery`
  `processDefinitionKeys(Set<String> processDefinitionKeys)`
  Only select executions which have process definitions with the given keys.
  `ExecutionQuery`
  `processDefinitionName(String processDefinitionName)`
  Only select executions which have the given process definition name.
  `ExecutionQuery`
  `processDefinitionNameLike(String processDefinitionNameLike)`
  Only select executions which have a process definition name like the given value.
  `ExecutionQuery`
  `processDefinitionNameLikeIgnoreCase(String processDefinitionNameLikeIgnoreCase)`
  Only select executions which have a process definition name like the given value, ignoring upper/lower case.
  `ExecutionQuery`
  `processDefinitionVersion(Integer processDefinitionVersion)`
  Only select executions which have the given process definition version.
  `ExecutionQuery`
  `processInstanceBusinessKey(String processInstanceBusinessKey)`
  Only executions with the given business key.
  `ExecutionQuery`
  `processInstanceBusinessKey(String processInstanceBusinessKey, boolean includeChildExecutions)`
  Only executions with the given business key.
  `ExecutionQuery`
  `processInstanceBusinessKeyLike(String processInstanceBusinessKeyLike)`
  Only executions that have a business key like the given value.
  `ExecutionQuery`
  `processInstanceBusinessKeyLike(String processInstanceBusinessKeyLike, boolean includeChildExecutions)`
  Only executions that have a business key like the given value.
  `ExecutionQuery`
  `processInstanceBusinessKeyLikeIgnoreCase(String processInstanceBusinessKeyLikeIgnoreCase)`
  Only executions that have a business key like the given value, ignoring upper/lower case.
  `ExecutionQuery`
  `processInstanceBusinessKeyLikeIgnoreCase(String processInstanceBusinessKeyLikeIgnoreCase, boolean includeChildExecutions)`
  Only executions that have a business key like the given value, ignoring upper/lower case.
  `ExecutionQuery`
  `processInstanceId(String processInstanceId)`
  Only select executions which have the given process instance id.
  `ExecutionQuery`
  `processVariableExists(String name)`
  Only select executions which are part of a process that have a variable with the given name.
  `ExecutionQuery`
  `processVariableNotExists(String name)`
  Only select executions which are part of a process that don't have a variable with the given name.
  `ExecutionQuery`
  `processVariableValueEquals(Object variableValue)`
  Only select executions which are part of a process that have at least one variable with the given value.
  `ExecutionQuery`
  `processVariableValueEquals(String variableName, Object variableValue)`
  Only select executions which are part of a process that have a variable with the given name set to the given value.
  `ExecutionQuery`
  `processVariableValueEqualsIgnoreCase(String name, String value)`
  Only select executions which are part of a process that have a local string variable with the given value, case insensitive.
  `ExecutionQuery`
  `processVariableValueGreaterThan(String name, Object value)`
  Only select executions which have a process instance variable value greater than the passed value.
  `ExecutionQuery`
  `processVariableValueGreaterThanOrEqual(String name, Object value)`
  Only select executions which have a process instance variable value greater than or equal to the passed value.
  `ExecutionQuery`
  `processVariableValueLessThan(String name, Object value)`
  Only select executions which have a process instance variable value less than the passed value.
  `ExecutionQuery`
  `processVariableValueLessThanOrEqual(String name, Object value)`
  Only select executions which have a process instance variable value less than or equal to the passed value.
  `ExecutionQuery`
  `processVariableValueLike(String name, String value)`
  Only select executions which are part of a process that have at least one variable like the given value.
  `ExecutionQuery`
  `processVariableValueLikeIgnoreCase(String name, String value)`
  Only select executions which are part of a process that have at least one variable like the given value (case insensitive).
  `ExecutionQuery`
  `processVariableValueNotEquals(String variableName, Object variableValue)`
  Only select executions which are part of a process that have a variable with the given name, but with a different value than the passed value.
  `ExecutionQuery`
  `processVariableValueNotEqualsIgnoreCase(String name, String value)`
  Only select executions which are part of a process that have a local string variable which is not the given value, case insensitive.
  `ExecutionQuery`
  `rootProcessInstanceId(String rootProcessInstanceId)`
  Only select executions which have the given root process instance id.
  `ExecutionQuery`
  `signalEventSubscriptionName(String signalName)`
  Only select executions which have a signal event subscription for the given signal name.
  `ExecutionQuery`
  `startedAfter(Date afterTime)`
  Only select executions that were started after the given start time.
  `ExecutionQuery`
  `startedBefore(Date beforeTime)`
  Only select executions that were started before the given start time.
  `ExecutionQuery`
  `startedBy(String userId)`
  Only select executions that were started after by the given user id.
  `ExecutionQuery`
  `variableExists(String name)`
  Only select executions which have a local variable with the given name.
  `ExecutionQuery`
  `variableNotExists(String name)`
  Only select executions which does not have a local variable with the given name.
  `ExecutionQuery`
  `variableValueEquals(Object value)`
  Only select executions which have at least one local variable with the given value.
  `ExecutionQuery`
  `variableValueEquals(String name, Object value)`
  Only select executions which have a local variable with the given value.
  `ExecutionQuery`
  `variableValueEqualsIgnoreCase(String name, String value)`
  Only select executions which have a local string variable with the given value, case insensitive.
  `ExecutionQuery`
  `variableValueGreaterThan(String name, Object value)`
  Only select executions which have a local variable value greater than the passed value.
  `ExecutionQuery`
  `variableValueGreaterThanOrEqual(String name, Object value)`
  Only select executions which have a local variable value greater than or equal to the passed value.
  `ExecutionQuery`
  `variableValueLessThan(String name, Object value)`
  Only select executions which have a local variable value less than the passed value.
  `ExecutionQuery`
  `variableValueLessThanOrEqual(String name, Object value)`
  Only select executions which have a local variable value less than or equal to the passed value.
  `ExecutionQuery`
  `variableValueLike(String name, String value)`
  Only select executions which have a local variable value like the given value.
  `ExecutionQuery`
  `variableValueLikeIgnoreCase(String name, String value)`
  Only select executions which have a local variable value like the given value (case insensitive).
  `ExecutionQuery`
  `variableValueNotEquals(String name, Object value)`
  Only select executions which have a local variable with the given name, but with a different value than the passed value.
  `ExecutionQuery`
  `variableValueNotEqualsIgnoreCase(String name, String value)`
  Only select executions which have a local string variable which is not the given value, case insensitive.
  `ExecutionQuery`
  `withLocalizationFallback()`
  Instruct localization to fallback to more general locales including the default locale of the JVM if the specified locale is not found.

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### processDefinitionKey

    ExecutionQuery processDefinitionKey(String processDefinitionKey)
    Only select executions which have the given process definition key.

  - ### processDefinitionKeyLike

    ExecutionQuery processDefinitionKeyLike(String processDefinitionKeyLike)
    Only select executions which have a process definition key like the given value.

  - ### processDefinitionKeyLikeIgnoreCase

    ExecutionQuery processDefinitionKeyLikeIgnoreCase(String processDefinitionKeyLikeIgnoreCase)
    Only select executions which have a process definition key like the given value, ignoring upper/lower case.

  - ### processDefinitionKeys

    ExecutionQuery processDefinitionKeys(Set<String> processDefinitionKeys)
    Only select executions which have process definitions with the given keys.

  - ### excludeProcessDefinitionKeys

    ExecutionQuery excludeProcessDefinitionKeys(Set<String> processDefinitionKeys)
    Only select executions which have process definitions that don't match with the given keys.

  - ### processDefinitionId

    ExecutionQuery processDefinitionId(String processDefinitionId)
    Only select executions which have the given process definition id.

  - ### processDefinitionCategory

    ExecutionQuery processDefinitionCategory(String processDefinitionCategory)
    Only select executions which have the given process definition category.

  - ### processDefinitionCategoryLike

    ExecutionQuery processDefinitionCategoryLike(String processDefinitionCategoryLike)
    Only select executions which have a process definition category like the given value.

  - ### processDefinitionCategoryLikeIgnoreCase

    ExecutionQuery processDefinitionCategoryLikeIgnoreCase(String processDefinitionCategoryLikeIgnoreCase)
    Only select executions which have a process definition category like the given value, ignoring upper/lower case.

  - ### processDefinitionName

    ExecutionQuery processDefinitionName(String processDefinitionName)
    Only select executions which have the given process definition name.

  - ### processDefinitionNameLike

    ExecutionQuery processDefinitionNameLike(String processDefinitionNameLike)
    Only select executions which have a process definition name like the given value.

  - ### processDefinitionNameLikeIgnoreCase

    ExecutionQuery processDefinitionNameLikeIgnoreCase(String processDefinitionNameLikeIgnoreCase)
    Only select executions which have a process definition name like the given value, ignoring upper/lower case.

  - ### processDefinitionEngineVersion

    ExecutionQuery processDefinitionEngineVersion(String processDefinitionEngineVersion)
    Only select executions which have the given process definition engine version.

  - ### processDefinitionVersion

    ExecutionQuery processDefinitionVersion(Integer processDefinitionVersion)
    Only select executions which have the given process definition version. Particularly useful when used in combination with `processDefinitionKey(String)`

  - ### processInstanceId

    ExecutionQuery processInstanceId(String processInstanceId)
    Only select executions which have the given process instance id.

  - ### rootProcessInstanceId

    ExecutionQuery rootProcessInstanceId(String rootProcessInstanceId)
    Only select executions which have the given root process instance id.

  - ### processInstanceBusinessKey

    ExecutionQuery processInstanceBusinessKey(String processInstanceBusinessKey)
    Only executions with the given business key. Note that only process instances have a business key and as such, child executions will NOT be returned. If you want to return child executions of the process instance with the given business key too, use the `processInstanceBusinessKey(String, boolean)` method with a boolean value of true instead.

  - ### processInstanceBusinessKey

    ExecutionQuery processInstanceBusinessKey(String processInstanceBusinessKey, boolean includeChildExecutions)
    Only executions with the given business key. Similar to `processInstanceBusinessKey(String)`, but allows to choose whether child executions are returned or not.

  - ### processInstanceBusinessKeyLike

    ExecutionQuery processInstanceBusinessKeyLike(String processInstanceBusinessKeyLike)
    Only executions that have a business key like the given value. Note that only process instances have a business key and as such, child executions will NOT be returned. If you want to return child executions of the process instance with the given business key too, use the `processInstanceBusinessKeyLike(String, boolean)` method with a boolean value of true instead.

  - ### processInstanceBusinessKeyLike

    ExecutionQuery processInstanceBusinessKeyLike(String processInstanceBusinessKeyLike, boolean includeChildExecutions)
    Only executions that have a business key like the given value. Similar to `processInstanceBusinessKeyLike(String)`, but allows to choose whether child executions are returned or not.

  - ### processInstanceBusinessKeyLikeIgnoreCase

    ExecutionQuery processInstanceBusinessKeyLikeIgnoreCase(String processInstanceBusinessKeyLikeIgnoreCase)
    Only executions that have a business key like the given value, ignoring upper/lower case. Note that only process instances have a business key and as such, child executions will NOT be returned. If you want to return child executions of the process instance with the given business key too, use the `processInstanceBusinessKeyLikeIgnoreCase(String, boolean)` method with a boolean value of true instead.

  - ### processInstanceBusinessKeyLikeIgnoreCase

    ExecutionQuery processInstanceBusinessKeyLikeIgnoreCase(String processInstanceBusinessKeyLikeIgnoreCase, boolean includeChildExecutions)
    Only executions that have a business key like the given value, ignoring upper/lower case. Similar to `processInstanceBusinessKeyLikeIgnoreCase(String)`, but allows to choose whether child executions are returned or not.

  - ### executionId

    ExecutionQuery executionId(String executionId)
    Only select executions with the given id.

  - ### activityId

    ExecutionQuery activityId(String activityId)
    Only select executions which contain an activity with the given id.

  - ### parentId

    ExecutionQuery parentId(String parentId)
    Only select executions which are a direct child-execution of the execution with the given id.

  - ### onlyChildExecutions

    ExecutionQuery onlyChildExecutions()
    Only selects executions that have a parent id set, ie non-processinstance executions.

  - ### onlySubProcessExecutions

    ExecutionQuery onlySubProcessExecutions()
    Only selects executions that are a subprocess.

  - ### onlyProcessInstanceExecutions

    ExecutionQuery onlyProcessInstanceExecutions()
    Only selects executions that have no parent id set, ie process instance executions

  - ### executionTenantId

    ExecutionQuery executionTenantId(String tenantId)
    Only select process instances that have the given tenant id.

  - ### executionTenantIdLike

    ExecutionQuery executionTenantIdLike(String tenantIdLike)
    Only select process instances with a tenant id like the given one.

  - ### executionTenantIdLikeIgnoreCase

    ExecutionQuery executionTenantIdLikeIgnoreCase(String tenantIdLikeIgnoreCase)
    Only select process instances with a tenant id like the given one, ignoring upper/lower case.

  - ### executionWithoutTenantId

    ExecutionQuery executionWithoutTenantId()
    Only select process instances that do not have a tenant id.

  - ### executionReferenceId

    ExecutionQuery executionReferenceId(String referenceId)
    Only select executions with the given reference id.

  - ### executionReferenceType

    ExecutionQuery executionReferenceType(String referenceType)
    Only select executions with the given reference type.

  - ### variableValueEquals

    ExecutionQuery variableValueEquals(String name, Object value)
    Only select executions which have a local variable with the given value. The type of variable is determined based on the value, using types configured in `ProcessEngineConfigurationImpl.getVariableTypes()`. Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.
    Parameters:
      `name` - name of the variable, cannot be null.

  - ### variableValueEqualsIgnoreCase

    ExecutionQuery variableValueEqualsIgnoreCase(String name, String value)
    Only select executions which have a local string variable with the given value, case insensitive.

    This method only works if your database has encoding/collation that supports case-sensitive queries. For example, use "collate UTF-8" on MySQL and for MSSQL, select one of the case-sensitive Collations available (MSDN Server Collation Reference).

    Parameters:
      `name` - name of the variable, cannot be null.
      `value` - value of the variable, cannot be null.

  - ### variableValueEquals

    ExecutionQuery variableValueEquals(Object value)
    Only select executions which have at least one local variable with the given value. The type of variable is determined based on the value, using types configured in `ProcessEngineConfigurationImpl.getVariableTypes()`. Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.

  - ### variableValueNotEquals

    ExecutionQuery variableValueNotEquals(String name, Object value)
    Only select executions which have a local variable with the given name, but with a different value than the passed value. Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.
    Parameters:
      `name` - name of the variable, cannot be null.

  - ### variableValueNotEqualsIgnoreCase

    ExecutionQuery variableValueNotEqualsIgnoreCase(String name, String value)
    Only select executions which have a local string variable which is not the given value, case insensitive.

    This method only works if your database has encoding/collation that supports case-sensitive queries. For example, use "collate UTF-8" on MySQL and for MSSQL, select one of the case-sensitive Collations available (MSDN Server Collation Reference).

    Parameters:
      `name` - name of the variable, cannot be null.
      `value` - value of the variable, cannot be null.

  - ### variableValueGreaterThan

    ExecutionQuery variableValueGreaterThan(String name, Object value)
    Only select executions which have a local variable value greater than the passed value. Booleans, Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.
    Parameters:
      `name` - variable name, cannot be null.
      `value` - variable value, cannot be null.

  - ### variableValueGreaterThanOrEqual

    ExecutionQuery variableValueGreaterThanOrEqual(String name, Object value)
    Only select executions which have a local variable value greater than or equal to the passed value. Booleans, Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.
    Parameters:
      `name` - variable name, cannot be null.
      `value` - variable value, cannot be null.

  - ### variableValueLessThan

    ExecutionQuery variableValueLessThan(String name, Object value)
    Only select executions which have a local variable value less than the passed value. Booleans, Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.
    Parameters:
      `name` - variable name, cannot be null.
      `value` - variable value, cannot be null.

  - ### variableValueLessThanOrEqual

    ExecutionQuery variableValueLessThanOrEqual(String name, Object value)
    Only select executions which have a local variable value less than or equal to the passed value. Booleans, Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.
    Parameters:
      `name` - variable name, cannot be null.
      `value` - variable value, cannot be null.

  - ### variableValueLike

    ExecutionQuery variableValueLike(String name, String value)
    Only select executions which have a local variable value like the given value. This be used on string variables only.
    Parameters:
      `name` - variable name, cannot be null.
      `value` - variable value, cannot be null. The string can include the wildcard character '%' to express like-strategy: starts with (string%), ends with (%string) or contains (%string%).

  - ### variableValueLikeIgnoreCase

    ExecutionQuery variableValueLikeIgnoreCase(String name, String value)
    Only select executions which have a local variable value like the given value (case insensitive). This be used on string variables only.
    Parameters:
      `name` - variable name, cannot be null.
      `value` - variable value, cannot be null. The string can include the wildcard character '%' to express like-strategy: starts with (string%), ends with (%string) or contains (%string%).

  - ### variableExists

    ExecutionQuery variableExists(String name)
    Only select executions which have a local variable with the given name.
    Parameters:
      `name` - cannot be null.

  - ### variableNotExists

    ExecutionQuery variableNotExists(String name)
    Only select executions which does not have a local variable with the given name.
    Parameters:
      `name` - cannot be null.

  - ### processVariableValueEquals

    ExecutionQuery processVariableValueEquals(String variableName, Object variableValue)
    Only select executions which are part of a process that have a variable with the given name set to the given value. Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.

  - ### processVariableValueEquals

    ExecutionQuery processVariableValueEquals(Object variableValue)
    Only select executions which are part of a process that have at least one variable with the given value. Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.

  - ### processVariableValueNotEquals

    ExecutionQuery processVariableValueNotEquals(String variableName, Object variableValue)
    Only select executions which are part of a process that have a variable with the given name, but with a different value than the passed value. Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.

  - ### processVariableValueEqualsIgnoreCase

    ExecutionQuery processVariableValueEqualsIgnoreCase(String name, String value)
    Only select executions which are part of a process that have a local string variable with the given value, case insensitive.

    This method only works if your database has encoding/collation that supports case-sensitive queries. For example, use "collate UTF-8" on MySQL and for MSSQL, select one of the case-sensitive Collations available (MSDN Server Collation Reference).

    Parameters:
      `name` - name of the variable, cannot be null.
      `value` - value of the variable, cannot be null.

  - ### processVariableValueNotEqualsIgnoreCase

    ExecutionQuery processVariableValueNotEqualsIgnoreCase(String name, String value)
    Only select executions which are part of a process that have a local string variable which is not the given value, case insensitive.

    This method only works if your database has encoding/collation that supports case-sensitive queries. For example, use "collate UTF-8" on MySQL and for MSSQL, select one of the case-sensitive Collations available (MSDN Server Collation Reference).

    Parameters:
      `name` - name of the variable, cannot be null.
      `value` - value of the variable, cannot be null.

  - ### processVariableValueLike

    ExecutionQuery processVariableValueLike(String name, String value)
    Only select executions which are part of a process that have at least one variable like the given value. Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.

  - ### processVariableValueLikeIgnoreCase

    ExecutionQuery processVariableValueLikeIgnoreCase(String name, String value)
    Only select executions which are part of a process that have at least one variable like the given value (case insensitive). Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.

  - ### processVariableValueGreaterThan

    ExecutionQuery processVariableValueGreaterThan(String name, Object value)
    Only select executions which have a process instance variable value greater than the passed value. Booleans, Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.
    Parameters:
      `name` - variable name, cannot be null.
      `value` - variable value, cannot be null.

  - ### processVariableValueGreaterThanOrEqual

    ExecutionQuery processVariableValueGreaterThanOrEqual(String name, Object value)
    Only select executions which have a process instance variable value greater than or equal to the passed value. Booleans, Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.
    Parameters:
      `name` - variable name, cannot be null.
      `value` - variable value, cannot be null.

  - ### processVariableValueLessThan

    ExecutionQuery processVariableValueLessThan(String name, Object value)
    Only select executions which have a process instance variable value less than the passed value. Booleans, Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.
    Parameters:
      `name` - variable name, cannot be null.
      `value` - variable value, cannot be null.

  - ### processVariableValueLessThanOrEqual

    ExecutionQuery processVariableValueLessThanOrEqual(String name, Object value)
    Only select executions which have a process instance variable value less than or equal to the passed value. Booleans, Byte-arrays and `Serializable` objects (which are not primitive type wrappers) are not supported.
    Parameters:
      `name` - variable name, cannot be null.
      `value` - variable value, cannot be null.

  - ### processVariableExists

    ExecutionQuery processVariableExists(String name)
    Only select executions which are part of a process that have a variable with the given name.
    Parameters:
      `name` - cannot be null.

  - ### processVariableNotExists

    ExecutionQuery processVariableNotExists(String name)
    Only select executions which are part of a process that don't have a variable with the given name.
    Parameters:
      `name` - cannot be null.

  - ### signalEventSubscriptionName

    ExecutionQuery signalEventSubscriptionName(String signalName)
    Only select executions which have a signal event subscription for the given signal name. (The signalName is specified using the 'name' attribute of the signal element in the BPMN 2.0 XML.)
    Parameters:
      `signalName` - the name of the signal the execution has subscribed to

  - ### messageEventSubscriptionName

    ExecutionQuery messageEventSubscriptionName(String messageName)
    Only select executions which have a message event subscription for the given messageName. (The messageName is specified using the 'name' attribute of the message element in the BPMN 2.0 XML.)
    Parameters:
      `messageName` - the name of the message the execution has subscribed to

  - ### locale

    ExecutionQuery locale(String locale)
    Localize execution name and description to specified locale.

  - ### withLocalizationFallback

    ExecutionQuery withLocalizationFallback()
    Instruct localization to fallback to more general locales including the default locale of the JVM if the specified locale is not found.

  - ### startedBefore

    ExecutionQuery startedBefore(Date beforeTime)
    Only select executions that were started before the given start time.
    Parameters:
      `beforeTime` - executions started before this time will be returned (cannot be null)

  - ### startedAfter

    ExecutionQuery startedAfter(Date afterTime)
    Only select executions that were started after the given start time.
    Parameters:
      `afterTime` - executions started after this time will be returned (cannot be null)

  - ### startedBy

    ExecutionQuery startedBy(String userId)
    Only select executions that were started after by the given user id.
    Parameters:
      `userId` - the user id of the authenticated user that started the execution (cannot be null)

  - ### or

    ExecutionQuery or()
    Begin an OR statement. Make sure you invoke the endOr method at the end of your OR statement. Only one OR statement is allowed, for the second call to this method an exception will be thrown.

  - ### endOr

    ExecutionQuery endOr()
    End an OR statement. Only one OR statement is allowed, for the second call to this method an exception will be thrown.

  - ### orderByProcessInstanceId

    ExecutionQuery orderByProcessInstanceId()
    Order by id (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByProcessDefinitionKey

    ExecutionQuery orderByProcessDefinitionKey()
    Order by process definition key (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByProcessDefinitionId

    ExecutionQuery orderByProcessDefinitionId()
    Order by process definition id (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByTenantId

    ExecutionQuery orderByTenantId()
    Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).